> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Number

> Creates a new number for the authenticated user's current workspace.
A workspace can have multiple numbers.



## OpenAPI

````yaml POST /api/v1/numbers
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/numbers:
    post:
      tags:
        - Number
      summary: Create Number
      description: |-
        Creates a new number for the authenticated user's current workspace.
        A workspace can have multiple numbers.
      operationId: createNumber
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                number:
                  type: string
                  description: >-
                    Valid phone number. Must be at least 1 character. Must not
                    be greater than 12 characters.
                  example: '+15551234567'
                nickname:
                  type: string
                  description: >-
                    Must be at least 1 character. Must not be greater than 255
                    characters.
                  example: b
              required:
                - number
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44f506237zw5najwrvczf
                    number: 337449171
                    nickname: Support Line
                    inbound_agent_id: null
                    outbound_agent_id: null
                    livekit_trunk_id: SDR_yv0dl5j6n4ikh
                    livekit_dispatch_id: ST_a09ykcm814yu2
                    workspace_id: 01kqh44f4ms23nw4hm5j4pn078
                    created_at: '2026-05-01T06:38:04+00:00'
                    updated_at: '2026-05-01T06:38:04+00:00'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44f506237zw5najwrvczf
                      number:
                        type: string
                        example: '+15551234567'
                      nickname:
                        type: string
                        example: My Agent
                      inbound_agent_id:
                        type: string
                        example: null
                        nullable: true
                      outbound_agent_id:
                        type: string
                        example: null
                        nullable: true
                      livekit_trunk_id:
                        type: string
                        example: SDR_yv0dl5j6n4ikh
                      livekit_dispatch_id:
                        type: string
                        example: ST_a09ykcm814yu2
                      workspace_id:
                        type: string
                        example: 01kqh44f4ms23nw4hm5j4pn078
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````